package com.happy.service;

import com.happy.dto.IDCBookStatusEto;
import com.happy.dto.IDCHotelEto;
import com.happy.dto.IDCRankEto;
import com.happy.dto.IDCSum;

import java.util.List;

public interface IDCService {

    /**
     * 描述：获取订单状态占比数据
     * @return
     */
    List<IDCBookStatusEto> getBookStatusData();

    /**
     * 描述：获取各县民宿数量
     * @return
     */
    List<IDCHotelEto> getHotelData();

    /**
     * 描述：获取订单量排行
     * @return
     */
    List<IDCRankEto> getRankBookNumData(String sqlx);

    /**
     * 描述：获取销售额排行
     * @return
     */
    List<IDCRankEto> getRankSalesAmountData(String sqlx);

    /**
     * 描述：获取汇总信息
     * @return
     */
    IDCSum getSumData();

}
